<?php
// ini_set('display_errors',1);
session_start();
date_default_timezone_set('America/Lima');
require_once ("../../config/Cado.php");
require_once ("cIngreso.php");
$oIngreso = new cIngreso();
require_once("../formatos/formato.php");
if($_POST['action']=="insertar")
{
	if(!empty($_POST['hdd_emp_id']) and !empty($_POST['txt_ing_fec']))
	{	
		$numdoc=$_POST['txt_ing_numdoc'];
		$mod_id = 11;
		
		$oIngreso->insertar(
			$_POST['hdd_ing_usureg'],
			$_POST['hdd_ing_usumod'],
			fecha_mysql($_POST['txt_ing_fec']),
			fecha_mysql($_POST['txt_ing_fec']),
			moneda_mysql($_POST['cmb_doc_id']),
			$numdoc,
			$_POST['txt_ing_det'],
			moneda_mysql($_POST['txt_ing_imp']),
			moneda_mysql($_POST['cmb_ing_est']),
			moneda_mysql($_POST['cmb_cue_id']),
			moneda_mysql($_POST['cmb_subcue_id']),
			moneda_mysql($_POST['hdd_cli_id']),
			$_POST['cmb_caj_id'],
			$mod_id,
			moneda_mysql($modide),
			'0',
			'0',
			moneda_mysql(''),
			moneda_mysql(''),
			moneda_mysql(''),
			moneda_mysql(''),
			''
		);
			
			$dts=$oIngreso->ultimoInsert();
			$dt = mysqli_fetch_array($dts);
			$ing_id=$dt['id'];
			mysqli_free_result($dts);
		$data['ing_id']=$ing_id;
		$data['ing_msj']='Se registró ingreso correctamente.';
	}
	else
	{
		$data['ing_msj']='Intentelo nuevamente.';
	}
	echo json_encode($data);
}
if($_POST['action']=="editar")
{
	if(!empty($_POST['txt_ing_fec']))
	{
		
		$oIngreso->modificar(
			$_POST['hdd_ing_id'],
			$_POST['hdd_ing_usumod'],
			fecha_mysql($_POST['txt_ing_fec']),
			intval($_POST['cmb_doc_id']),
			$_POST['txt_ing_numdoc'],
			$_POST['txt_ing_det'],
			moneda_mysql($_POST['txt_ing_imp']),
			intval('1'),
			intval($_POST['cmb_cue_id']),
			intval($_POST['cmb_subcue_id']),
			$_POST['cmb_caj_id']
		);
		
		$data['ing_msj']='Se modifico ingreso correctamente.';
		
	}
	else
	{
		$data['ing_msj']='Intentelo nuevamente.';
	}
	echo json_encode($data);
}
if($_POST['action']=="eliminar")
{
	if(!empty($_POST['ing_id']))
	{
			$oIngreso->modificar_campo($_POST['ing_id'],$_SESSION['usuario_id'],'xac','0');
			echo 'El ingreso se elimino correctamente correctamente.';
	}
	else
	{
		echo 'Intentelo nuevamente.';
	}
}
?>